记一次被迫升级

行走江湖

前几天下午(2022年10月16日)我打开了博客,页面中出现的并不是博客的首页,是一行报错信息(\Widgt\Archive)。

当时没有在意,以为是服务器资源占用过高数据库崩溃了,重启一下服务器就可以解决。登录宝塔面板查看了运行信息,资源并没有占用过高,我就直接进行了服务器重启。

服务器重启后博客依然无法访问,仍会显示(\Widgt\Archive)访问博客后台是可以的,但进行登录就会出现500的错误代码。
无奈之下只能求助大佬来帮忙解决问题,大佬首先是让我开启debug看一下详细的报错信息,看看是不是因为那个插件或者主题的问题。

typecho 开启 debug

首先我们找到 typecho 根目录 config.inc.php 文件 然后在里面加上开启调试代码即可

typecho开启debug模式
define('__TYPECHO_DEBUG__', true);`

开启debug后显示是由于程序的var文件夹的某个文件出现了问题才导致的(\Widgt\Archive)错误。

我的能力有限无法解决,无奈之下把typecho进行了升级从1.1正式版升级到了1.2。升级后问题得到了解决,可1.1的部分插件与1.2不兼容,最主要的AutoBackup(备份插件)以及Comment2Mail(邮件提醒插件)的旧版本都不适用于1.2版本,又把插件进行了升级。

不想更新的原因一个是因为程序的变化不大,感觉没有必要更新。还有就是主题可能会不支持1.2和旧的插件,主要还是自己懒... ...

将程序以及插件更新后发现还少了一样,当然是更新文章和主题了,哈哈。
于是主题进行了一下修改:
1:主题更新了版本号;
2:主题适配了Links(友情链接插件)以前只能在独立页面中通过写代码的传统方式添加链接;
3:主题添加了一个1-6级标题的样式;
4:主题更新了一个新的引用样式;
5:主题增加了张洪大佬的Heo表情;
ps:这就是新的引用样式

后记:

这就是要更新的文章和新的标题样式~

打赏 6 分享
评论(11)
隐私评论
  1. CommentNotifier一款基于Typecho1.2.0的评论邮件提醒插件,要求Typecho在1.2.0及以上版本!

    项目地址https://github.com/jrotty/CommentNotifier

    2023年01月19日回复
  2. 2022年依旧用着2014年的emlog5.3.1路过~

    2022年12月28日回复
    1. @姜辰Jcs.Moe

      社会在发展,程序在进步,赶紧更新吧

      2022年12月29日回复
  3. 能不升级还是不升了,手贱,看着有更新就想点,就老出问题,重装,太折腾。

    2022年12月10日回复
    1. @空空裤兜

      留着数据,大不了直接还原哈哈

      2022年12月12日回复
  4. 有时候想想,就是想找个地方写几个字,怎么就这么难哈!

    2022年12月03日回复
  5. 留个脚印

    2022年11月10日回复
  6. 我有一段时间想用回typecho就是因为搞不定插件放弃了……

    2022年11月09日回复
    1. @小F

      哎,不知道为什么数据库备份插件又不能用了

      2022年11月09日回复
  7. 一个小版本升级居然能导致这么多插件不兼容呢?我的wordpress升级了好几个大版本插件也没事,当然可能是我选的插件都比较规矩

    2022年10月28日回复
    1. @沉舟侧畔

      不是插件的问题,typecho1.2版本好像改动了好多函数,所以旧的插件就用不了了,幸好这些常用的插件都还有作者在维护

      2022年10月28日回复